Subject: Re: bug#69232: 30.0.50; [PATCH] EWW history navigation gets caught in a loop

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Feb 2024 21:49:07 +0200

> Date: Sun, 25 Feb 2024 11:40:39 -0800
> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> 
> On 2/24/2024 9:57 PM, Eli Zaretskii wrote:
> >> From: James Thomas <[email-masked]>
> >> Cc: [email-masked],  [email-masked]
> >> Date: Sun, 25 Feb 2024 04:04:13 +0530
> >>
> >> Eli Zaretskii wrote:
> >>
> >>> The only reasonable alternative is to throw away all the history after
> >>> 'l', which I don't think is better.
> >>>
> >>> What do other browsers do in this situation?
> >>
> >> Exactly that. Firefox, Chrome etc. for e.g.
> > 
> > So maybe we should offer that as optional behavior?
> 
> If anything, I think this should be the default, with some other options 
> provided for people who don't want to lose any history. That way the 
> default behavior is what people know.

I don't think I mind.

> How about this as an option for preserving history though: if you're at 
> a historical page and you navigate to a link, open that link in a *new* 
> buffer, copying over the history leading up to that link. That way, you 
> have two separate history timelines and nothing ever gets lost or munged.

Sounds too complicated, and two backward-incompatible changes instead
of just one.  My recommendation is not to over-engineer this.